## greaseweazle 1.22+dfsg

=== Makefile ===

include Rules.mk

TARGETS := version install uninstall clean dist windist mypy
.PHONY: $(TARGETS)

PROJ = greaseweazle
VER := $(shell $(PYTHON) -c \
"from setuptools_scm import get_version ; print(get_version())")

version:
	@echo $(VER)

install:
	$(PYTHON) -m pip install .

uninstall:
	$(PYTHON) -m pip uninstall $(PROJ)

clean:
	rm -rf build dist .mypy_cache src/greaseweazle/__init__.py
	rm -rf src/*.egg-info src/greaseweazle/optimised/*.so
	rm -rf $(PROJ)-*
	find . -name __pycache__ | xargs rm -rf

dist:
	rm -rf $(PROJ)-*
	$(PYTHON) setup.py sdist --formats=zip -d .

windist: install
	rm -rf $(PROJ)-*
	mkdir -p $(PROJ)-$(VER)
	cp -a COPYING $(PROJ)-$(VER)/
	cp -a README $(PROJ)-$(VER)/
	cp -a RELEASE_NOTES $(PROJ)-$(VER)/
	echo $(VER) >$(PROJ)-$(VER)/VERSION
	cd scripts/win && $(PYTHON) setup.py build
	cp -a scripts/win/build/exe.win*/* $(PROJ)-$(VER)/

# mypy testing
src/greaseweazle/__init__.py:
	echo "__version__: str" >$@
mypy: src/greaseweazle/__init__.py
	$(PYTHON) -m mypy --config-file=scripts/tests/mypy.ini

=== debian/changelog ===
greaseweazle (1.22+dfsg-1) unstable; urgency=medium

  * Source-only upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 Apr 2025 08:28:16 +0200

greaseweazle (1.22+dfsg-1~exp1) experimental; urgency=medium

  * Initial release. Closes: #1099848.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Mar 2025 14:20:30 +0100

=== debian/control ===
Source: greaseweazle
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-dev,
               python3-setuptools,
               python3-setuptools-scm,
               python3-wheel
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/greaseweazle
Vcs-Git: https://salsa.debian.org/python-team/packages/greaseweazle.git
Homepage: https://github.com/keirf/greaseweazle
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: greaseweazle
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Host tools for Greaseweazle
 This package provides tools to access a floppy drive at the raw flux
 level, using a Greaseweazle interface device.
 .
 It can also convert between supported image formats (Acorn, Akai,
 Amiga, Apple II, Atari 8-bit and ST, Coco, Commodore C64, DEC RX-01
 and RX-02, Dragon, Ensoniq, Epson QX-10, GEM, HP, PC, Macintosh, MSX,
 Northstar, Olivetti M20, PC-98, Sega, Thomson, and various others).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%greaseweazle-$1.tar.gz%,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
   https://github.com/keirf/greaseweazle/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## greaseweazle 1.23+dfsg

=== debian/changelog ===
greaseweazle (1.23+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 20:50:19 +0000

greaseweazle (1.23+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 31 Dec 2025 11:39:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: utils
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
@@ -10,12 +9,11 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-wheel
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/greaseweazle
 Vcs-Git: https://salsa.debian.org/python-team/packages/greaseweazle.git
 Homepage: https://github.com/keirf/greaseweazle
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: greaseweazle
 Architecture: any
